[Pkg-sysvinit-devel] Bug#663009: happens on all upgrades

Roger Leigh rleigh at codelibre.net
Wed Jan 23 22:56:29 UTC 2013


On Wed, Jan 16, 2013 at 08:12:13PM +0100, Bastian Blank wrote:
> Control: found -1 2.88dsf-34
> Control: severity -1 serious
> 
> I upgraded several machines in the last days and _every_ one failed to
> reboot after that:

Does the following patch help with this?
Also, it would help greatly to have some information about the
systems you upgraded.  Were these running native, or using some
form of container/virtualisation?  This patch should help for
environment where pidof fails to detect init, but unless I
understand the problem better, I'm not going to be able to
just guess.  Does pidof "/sbin/init" work on these systems?
Does it have a nonzero exit status?


--- a/debian/postinst
+++ b/debian/postinst
@@ -19,7 +19,7 @@ do_restart() {
 
 	# PID of init; may not always be 1.  Use for sending signals
 	# and checking if init is running.
-	PID="$(pidof /sbin/init || true)"
+	PID="$(pidof /sbin/init || echo 1)"
 
 	# Create /run/initctl if not present, and also create compatibility
 	# symlinks
--- a/debian/src/initscripts/etc/init.d/mountall.sh
+++ b/debian/src/initscripts/etc/init.d/mountall.sh
@@ -55,7 +55,7 @@ do_start() {
 		mknod -m 600 "$INITCTL" p
 
 		# Reopen control channel.
-		PID="$(pidof /sbin/init || true)"
+		PID="$(pidof /sbin/init || echo 1)"
 		[ -n "$PID" ] && kill -s USR1 "$PID"
 	fi
 

Thanks,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux    http://people.debian.org/~rleigh/
 `. `'   schroot and sbuild  http://alioth.debian.org/projects/buildd-tools
   `-    GPG Public Key      F33D 281D 470A B443 6756 147C 07B3 C8BC 4083 E800



More information about the Pkg-sysvinit-devel mailing list